Description
It would be very usefull if all sort of URI would parsed as html link.
Like:

ftp://example.com
ssh://example.com

smb://example.com/folder1
steam://run/xyz
I think a URI can simply identified by ://

(ftp was mentioned as an already working example)

Related issues:
Related to Redmine - Feature #7370: Interpret "file://" into issue description Closed 2011-01-19

History

#1 - 2014-05-01 14:58 - Etienne Massip

- Category set to Text formatting

#2 - 2014-05-26 11:39 - Rafael B.

| consider this rather a bug than a feature request. All URIs should be detected appropriately, not just a very small subset. A more complex example
would be a message URI that opens the corresponding email message inside an application: message:
//%3c20140500073640.1764C89902EB@mail.domain.com%3e The worst thing is that parts of the URI get falsely detected as an email address.

The URI is in a valid format, but Redmine doesn’t detect it as expected. | think that for the first step it would be already enough if the user could
manually mark not detected URIs (with the quotation mark syntax for example)

#3 - 2015-04-11 07:30 - Go MAEDA

Redmine would not support "file://" for security reasons. (#7370)

#4 - 2015-04-11 07:31 - Go MAEDA
- Related to Feature #7370: Interpret "file://" into issue description added

#5 - 2015-08-19 10:56 - Sebastian Paluch

It also does not create a link to location shared on local network e.g. \\server\file which would be very helful. We are storing bigger files, reports, etc
on shared drives but are not able to create such link.

2025-08-23 1/1



ftp://example.com
mailto://%3c20140500073640.1764C89902EB@mail.domain.com
https://www.redmine.org/issues/7370
http://www.tcpdf.org

